package com.engine.salary.service;

import com.engine.salary.entity.hrm.dto.HrmInfoDTO;
import com.engine.salary.entity.hrm.param.HrmQueryParam;
import com.engine.salary.entity.siaccount.param.RecessionParam;
import com.engine.salary.util.page.PageInfo;

import java.util.Collection;

public interface SIRecessionService {

    void save(RecessionParam param, Long employeeId);

    void del(Collection<Long> ids, Long employeeId);

    PageInfo<HrmInfoDTO> getEmployeeListByTaxAgent(HrmQueryParam param);
}
